Cum se instalează pachetele noastre LMDE în 3 secunde

Profitând de articol recent despre ce am postat mintbackup, Vreau să vă arăt trei moduri simple de a reinstala pachetele pe care le folosim atunci când le reinstalăm Lmde.

De fapt, cu excepția primei forme, celelalte pot fi utilizate atât în Debian, Ca și în Ubuntu.

Instalare în 3 secunde

Grafic.

Acesta este modul în care îi place cel mai mult, totul grafic și fără a fi nevoie să atingeți un terminal. În Lmde y linuxmint, este un instrument fabulos numit mintbackup, pe care, printre altele, le putem folosi pentru a salva pachetele noastre și pentru a le reinstala ulterior.

În cazul Lmde, dacă actualizăm pachetul python-apt până la versiunea 0.8.0, nu vom putea folosi mintbackup din cauza unei probleme de dependență. Se va afișa următoarea eroare:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Să sperăm că băieții de la Mentă reparați-l în curând.

Prin terminal.

Prin intermediul consolei o putem face în 2 moduri, care, în cele din urmă, a fost la fel.

În 2 pași.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Odată ce avem acces la depozite și totul este configurat și actualizat, trebuie doar să punem acest lucru:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

În 3 pași.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

După reinstalare, executăm acest lucru:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Și apoi alergăm:

apt-get -u dselect-upgrade

Cred că nu este necesar să clarificăm că trebuie să avem depozitele configurate corect .. Simplu nu?


Conținutul articolului respectă principiile noastre de etică editorială. Pentru a raporta o eroare, faceți clic pe aici.

8 comentarii, lasă-le pe ale tale

Lasă comentariul tău

Adresa ta de email nu va fi publicată.

*

*

  1. Responsabil pentru date: Miguel Ángel Gatón
  2. Scopul datelor: Control SPAM, gestionarea comentariilor.
  3. Legitimare: consimțământul dvs.
  4. Comunicarea datelor: datele nu vor fi comunicate terților decât prin obligație legală.
  5. Stocarea datelor: bază de date găzduită de Occentus Networks (UE)
  6. Drepturi: în orice moment vă puteți limita, recupera și șterge informațiile.

  1.   Curaj el a spus

    Sau notezi și toate programele pe care le-ai avut înainte și le faci

    sudo apt-get -y insall toate pachetele care au fost șterse

    Chiar nu știu dacă LMDE are același obiectiv ca Linux MInt, să fie în afara cutiei

    1.    Curaj el a spus

      * instalare

  2.   hokasito el a spus

    Deși este puțin „off-topic”, am vrut să vă avertizez că candidații la lansare au apărut în Linux Mint Debian 201108 pentru GNOME și XFCE. Sper că s-au făcut destul de multe îmbunătățiri ... 🙂

    1.    elav <° Linux el a spus

      Ei bine, da, ce se întâmplă când a fost publicată această știre excelentă, am fost offline ... Mulțumesc.

  3.   mitcoe el a spus

    Tocmai te-am descoperit și MULȚUMESC
    Ieri am instalat LMDE pe 64 de biți și mă înțeleg bine, dar îmi lipsesc 2 lucruri mici de descoperit-

    1– Conectați-vă ca root în modul grafic

    2.- Setați VLC ca player video implicit

    Cred că l-aș obține de la panoul de control al aplicațiilor preferate sau deschizând cu o altă aplicație / folosind în mod implicit această aplicație. Conectat ca root.

    Am făcut sudo nautilus pentru orice eventualitate și nimic.

    PS1: În 64 de biți, dacă pachetul funcționează bine.
    PS2: De asemenea, trebuie să instalez MAME SDL și vinul recent 64 din care aș dori să existe un ppa, deoarece configurarea programelor ulterior nu le actualizează automat.
    PS3: folosesc driverul beta AMD AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, pentru a vedea seriile geolocalizate în Firefox, Chrome - care trebuie instalat -, Firefox Flash ajută cu Flash pe 64 de biți, Zindus, Qbittorrent, Opera, extensia aletras.oxt și scriptul receinte pentru a controla memoria cache în exces a sarcina care merită, de asemenea, un comentariu de la dumneavoastră.

    Aștept cu nerăbdare partea a cincea a tutorialului cu aceste și / sau alte sugestii

  4.   MANCA CU el a spus

    Buna ziua!
    Un lucru, ar trebui să schimbăm primul link care trimite articolul MintBackup către acesta: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Nu știu de ce, se leagă de un subdirector „/ wp-content / themes” ...

    1.    KZKG ^ Gaara el a spus

      Gata, corectat 😉

  5.   Nahum el a spus

    Bună ziua, de la versiunea anterioară a LMDE amd64 am avut probleme cu pachetele rupte și erori la încărcarea depozitelor, am încercat multe soluții și niciuna nu funcționează ... Nu mai știu ce să fac, am vrut să instalez Gnome-shell și nu m-a lăsat deoarece pachetul este stricat. Am văzut cum să rezolv pachetele rupte cu comenzi precum: sudo dpkg –purge –force-remove-reinstreq

    și primesc următoarea eroare:

    dpkg: eroare: –purge necesită cel puțin un nume de pachet ca parametru

    Tastați dpkg –help pentru ajutor la instalarea și dezinstalarea pachetelor [*];
    Utilizați „dselect” sau „aptitude” pentru o gestionare mai prietenoasă a pachetelor;
    Tastați dpkg -Dhelp pentru o listă de setări de depanare dpkg;
    Tastați dpkg –force-help pentru o listă de opțiuni pentru a forța lucrurile;
    Tastați dpkg-deb –help pentru ajutor la manipularea fișierelor .deb;

    Opțiunile marcate cu [*] produc rezultate lungi,
    Filtrați-l cu „mai puțin” sau cu „mai mult”!

    dacă cineva mă poate ajuta cu asta 🙂